<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../usuario/decodeUsuario.php';
require '../../modelo/history.php';
require '../../modelo/global.php';
require '../../modelo/reclamo_devolucion.php';

$response = array();

if (!isset($_POST['id_estado_reclamo'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_estado_reclamo = $_POST['id_estado_reclamo'];

$reclamos_devolucion = ReclamoDevolucion::mdlGetReclamosDevolucionByEstado($id_estado_reclamo);

if (!$reclamos_devolucion) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron reclamos de devolución para el estado';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $reclamos_devolucion;

echo json_encode($response);